Bug 1420862 - atomic pull IMAGE --storage ostree fails
Summary: atomic pull IMAGE --storage ostree fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: atomic
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Lokesh Mandvekar
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 16:32 UTC by Aaron Weitekamp
Modified: 2020-05-05 14:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-05 14:33:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Aaron Weitekamp 2017-02-09 16:32:12 UTC
Description of problem:
I cannot pull a container image using the atomic CLI using ostree storage

Version-Release number of selected component (if applicable):
atomic v1.14.1

How reproducible:
always

Steps to Reproduce:
1. atomic --debug pull --storage ostree registry.access.redhat.com/rhel7

Actual results:
[vagrant@rhel-cdk ~]$ sudo atomic --debug pull --storage ostree registry.access.redhat.com/rhel7
Image registry.access.redhat.com/rhel7 is being pulled to ostree ...
Cannot find a configured OSTree repo
Traceback (most recent call last):
  File "/bin/atomic", line 187, in <module>
    sys.exit(_func())
  File "/usr/lib/python2.7/site-packages/Atomic/pull.py", line 70, in pull_image
    handler()
  File "/usr/lib/python2.7/site-packages/Atomic/syscontainers.py", line 150, in pull_image
    self._pull_image_to_ostree(self._get_ostree_repo(), image or self.args.image, True)
  File "/usr/lib/python2.7/site-packages/Atomic/syscontainers.py", line 137, in _pull_image_to_ostree
    raise ValueError("Cannot find a configured OSTree repo")
ValueError: Cannot find a configured OSTree repo
[vagrant@rhel-cdk ~]$ atomic --version
1.14.1
[vagrant@rhel-cdk ~]$ cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.3 (Maipo)


Additional info:

Comment 1 Aaron Weitekamp 2017-02-09 19:50:33 UTC
Reproduced in v1.15.2
Appears fixed in v1.15.3

Comment 2 Alex Jia 2017-02-10 02:44:36 UTC
It works well in atomic-1.15.2-3 on RHEL7.3.

[root@localhost ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.3 (Maipo)

[root@localhost ~]# rpm -q atomic ostree skopeo
atomic-1.15.2-3.el7.x86_64
ostree-2017.1-2.atomic.el7.x86_64
skopeo-0.1.18-1.el7.x86_64

[root@localhost ~]# atomic --debug pull --storage ostree registry.access.redhat.com/rhel7
Namespace(_class=<class 'Atomic.pull.Pull'>, assumeyes=False, debug=True, func='pull_image', image='registry.access.redhat.com/rhel7', reg_type=None, storage='ostree')
Pulling layer 7bd78273b66657ac8b3e800506047866ce94eea0b50e23ecdb76b0a8fbc5cdcc
Pulling layer c196631bd9ac47f0e62cd3b0160159ccf34a88b47a9487a0c3dd3c55b457d607

[root@localhost ~]# atomic images list
   REPOSITORY                         TAG      IMAGE ID       CREATED            VIRTUAL SIZE   TYPE      
   registry.access.redhat.com/rhel7   latest   352a6b002b8d   2017-02-09 21:42                  ostree

Comment 4 Brent Baude 2017-03-07 20:51:31 UTC
Aaron, where are we with this one?

Comment 5 Aaron Weitekamp 2017-03-08 14:27:54 UTC
Once atomic v1.15.3+ lands in rhel/atomic this should be resolved.

Comment 6 Brent Baude 2017-04-04 19:24:25 UTC
Aaron, is this resolved for you?

Comment 7 Aaron Weitekamp 2017-04-04 20:06:53 UTC
Verified working on RHEL Atomic host, atomic CLI v.1.15.3


Note You need to log in before you can comment on or make changes to this bug.